package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;
	
	public class SeedDialog extends Sprite
	{
		
		[Embed(source="bioliquid-Regular.ttf", fontFamily="myFont", embedAsCFF="false")]
		public static var MyFont:String;	
		
		public static var _mut:uint=0
			public static var _rep:uint=0
		public function SeedDialog()
		{
			super();
			
			var back:Sprite=new Sprite()
			back.mouseEnabled=false
			back.graphics.beginFill(0x0,.85)
			back.graphics.drawRect(0,0,800,600)
			back.graphics.endFill()
			addChild(back)
			
			var box:Sprite=new Sprite()
			
			box.graphics.beginFill(0,.5)	
			box.graphics.lineStyle(1,0xffffff)
			box.graphics.drawRect(0,0,600,400)
			
			box.x=400-box.width/2
			box.y=300-box.height/2
			
			var txt:TextField = new TextField()		
			txt.defaultTextFormat=	new TextFormat("myFont",20,0xffffff)
			txt.x=10
			txt.embedFonts=true;
			//txt.autoSize=TextFieldAutoSize.LEFT
			txt.width=580
			txt.height=200
			txt.defaultTextFormat.align=TextFormatAlign.CENTER
			txt.y=5
			txt.wordWrap=true
			txt.text="SEEDING\n\n" +
				"you have decided upon this world as a new host for life. \n" +
				"a seed-ship will be sent there, containing replicators\n" +
				"that will hopefully start the evolution of life.\n\n" +
				"you now have to design the replicator by defining its\n" +
				"basic properties:"
			//txt.autoSize=TextFieldAutoSize.CENTER
			
			addChild(box)		
			box.addChild(txt)	
			
			
			repl.x=10
			repl.y=230
			
			box.addChild(repl)	
			
			muta.x=10
			muta.y=275
			
			box.addChild(muta)	
			
			
			
			ok.x=(box.width-ok.width)/2
			ok.y=box.height-ok.height-3	
			
			box.addChild(ok)
			
			ok.addEventListener(MouseEvent.CLICK,send)
				
				
			
		}
		public static function get mut():uint{
			return muta.val
		}
		public static function get rep():uint{
			return repl.val
		}
		private static var muta:Slider=new Slider("Rate of mutation")
		private static var ok:RectBtn = new RectBtn("SEED")
		private static var repl:Slider=new Slider("Rate of Replication")
		private function send(e:Event):void{
			this.dispatchEvent(new Event("SEND"));
	
		}
	}
}