package
{
	import avmplus.getQualifiedClassName;
	
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.TimerEvent;
	import flash.text.AntiAliasType;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;
	import flash.ui.Mouse;
	import flash.utils.Timer;
	import flash.utils.getTimer;
	
	import org.osmf.events.TimeEvent;
	
	public class GalaxyView extends Sprite
	{
		
		
		public var systems:Array=[]
		
		private var info:Sprite = new Sprite();
		private var pinfo:Sprite = new Sprite();
		
		private var linfo:Sprite = new Sprite();
		private var systemName:TextField = new TextField()
		private var planetInfo:TextField = new TextField()
		private var lifeInfo:TextField = new TextField()
		private var ind:Sprite = new Sprite()
		private var pind:Sprite = new Sprite()
		
		private var closeBtn:RectBtn = new RectBtn("CLOSE")
		private var planets:Sprite = new Sprite()
		
		private var title:Sprite = new Sprite();
		
		private var started:Boolean=false
		private var plArr:Array=[]
		private var plId:uint=0;
		private 	var seedBtn:RectBtn=new RectBtn("SEED")
		
		public function GalaxyView()
		{
			super();
			
			title.graphics.beginFill(0x0,1)
			title.graphics.drawRect(0,0,800,600)
			title.addChild(new Stars())
			var titleTxt:TextField = new TextField()
			titleTxt.defaultTextFormat=	new TextFormat("myFont",90,0xffffff)
			titleTxt.width=800
			titleTxt.embedFonts=true;
			titleTxt.defaultTextFormat.align=TextFormatAlign.CENTER
			titleTxt.y=150
			titleTxt.autoSize=TextFieldAutoSize.CENTER
			
			title.addChild(titleTxt)
			titleTxt.text="HORTUS"
			
			
			var tp:PlanetView=new PlanetView(99991,true)
			tp.scaleX=tp.scaleY=2
			tp.y=690
			tp.x=400
			title.addChild(tp)
			
			var starbtn:RectBtn=new RectBtn("START")
			
			starbtn.x=400-30
			starbtn.y=360
			title.addChild(starbtn)
			starbtn.addEventListener(MouseEvent.CLICK,function(){
				
				removeChild(title)
				started=true
			})
			
			
			
			systemName.defaultTextFormat=new TextFormat("myFont",20,0xffffff)
			systemName.embedFonts=true
			systemName.selectable=false
			systemName.antiAliasType=AntiAliasType.NORMAL
			
			planetInfo.defaultTextFormat=new TextFormat("myFont",20,0xffffff)
			planetInfo.embedFonts=true
			planetInfo.selectable=false
			planetInfo.antiAliasType=AntiAliasType.NORMAL
			planetInfo.text="PLANET"
			planetInfo.y=-4
			
			planetInfo.x=5
			planetInfo.width=290
			planetInfo.height=200
			planetInfo.wordWrap=true
			
		
			seedBtn.x=300-seedBtn.width-5
			seedBtn.y=5
			seedBtn.buttonMode=true
			seedBtn.addEventListener(MouseEvent.CLICK,doSeed)
			
			linfo.visible=false
			linfo.graphics.beginFill(0,.8)
			linfo.graphics.lineStyle(1,0x449944)
			linfo.graphics.drawRect(0,0,200,364)
			linfo.addChild(new Helix())
			
			lifeInfo.defaultTextFormat=new TextFormat("myFont",17,0xffffff)
			lifeInfo.embedFonts=true
			lifeInfo.selectable=false
			lifeInfo.antiAliasType=AntiAliasType.NORMAL
			lifeInfo.text="PLANET"
			lifeInfo.y=-4
			
			lifeInfo.x=5
			lifeInfo.width=190
			lifeInfo.height=350
			lifeInfo.wordWrap=true		
			
			linfo.addChild(lifeInfo)	
			
			//systemName.y-=40
			info.visible=false
			info.graphics.beginFill(0,.8)
			info.graphics.lineStyle(1,0xffffff)
			info.graphics.drawRect(0,0,300,150)
			//addChild(info)
			info.addChild(planets)
			info.addChild(systemName)
			info.addChild(closeBtn)
			closeBtn.x=info.width-closeBtn.width-5
			closeBtn.y=info.height-closeBtn.height-5
			
			pinfo.addChild(planetInfo)
			pinfo.addChild(seedBtn)
			
			closeBtn.addEventListener(MouseEvent.CLICK,closeInfo)
			systemName.x=5
			systemName.y=5-10
			info.mouseChildren=true
			
			ind.graphics.lineStyle(1,0x00ffff,1)
			ind.graphics.drawCircle(0,0,6)
			
			pind.graphics.lineStyle(1,0x00ffff,.8)
			pind.graphics.drawCircle(0,0,130)
			
			pinfo.visible=false
			pinfo.graphics.beginFill(0,.8)
			pinfo.graphics.lineStyle(1,0x449999)
			pinfo.graphics.drawRect(0,0,300,210)
			
			
			
			for(var h:uint=0;h<=12;h++){
				this.graphics.lineStyle(1,0x00cccc,.3)
				if(0==(h%4)) 	this.graphics.lineStyle(1,0x00cccc,.7)
				this.graphics.moveTo(799/12*h,0)
				this.graphics.lineTo(799/12*h,600)
			}
			for(var h:uint=0;h<=8;h++){
				this.graphics.lineStyle(1,0x00cccc,.3)
				if(0==(h%4)) 	this.graphics.lineStyle(1,0x00cccc,.7)
				this.graphics.moveTo(0,599/8*h)
				this.graphics.lineTo(800,599/8*h)
			}
			
			PlanetView.seed=3458
			for(var i:uint=0;i<280;i++){
				var xx:int = PlanetView.rand()*800
				var yy:int = PlanetView.rand()*600
				var col:uint=0xffffff
				if(PlanetView.rand()<.15) col=PlanetView.hexCol(PlanetView.hsv(PlanetView.rand()*360,.5,1))
				this.graphics.beginFill(col,1)
				this.graphics.lineStyle(0,0,0)
				this.graphics.drawCircle(xx,yy,1)
				this.graphics.endFill()
				var sys:Object= {}
				
				sys.x=xx
				sys.y=yy
				sys.name=makeName(i)
				
				systems.push(sys)
				
				sys.planets=[]
				var plnum:int=1+PlanetView.rand()*5
				var baset:Number=+(PlanetView.rand()-.5)*300
				for(var j:int=0;j<plnum;j++){
					var pln:Object={}
					var num:String=["I","II","III","IV","V","VI","VII"][j]
					pln.name=sys.name+ " " + num
					pln.seed=Math.round(PlanetView.rand()*999999)
					pln.temp=Number(-230)+500*((plnum-j)/plnum)*((PlanetView.rand()-.5)*.7+1)+baset
					pln.temp=Math.max(-250,pln.temp)
					
					pln.scale=.4+PlanetView.rand()*.6
					pln.grav=Math.round(Math.pow(pln.scale,5)*4300)/100
					
					//trace(pln.scale,pln.grav)
					pln.elem=[]
					var enum:uint=3+PlanetView.rand()*4
					for(var e:uint=0;e<enum;e++){
						var ele:uint=Util.getElem()
						while( pln.elem.indexOf(ele)!=-1) ele =Util.getElem()
						pln.elem.push(ele)
					}
					
					
					if(pln.grav>10 && PlanetView.rand()<.7) 
						pln.desc="GASEOUS. "
					else {
						pln.desc=""
						if(PlanetView.rand()<.5) pln.desc+="MOUNTAINOUS" else pln.desc+="MOSTLY FLAT"
						pln.desc+=" TERRAIN.\n"
						pln.desc+=["NO","LOW","HIGH"][Math.floor(PlanetView.rand()*3)]+" INTERN. GEOLOGIC ACTIVITY"	
					}
					
					//pln.desc+="
					
					pln.id=plId
						sys.planets.push(pln)
					plArr[plId]=(pln)
						plId++
				}
				
				
				
			}
			
			var tickTimer:Timer=new Timer(100)
			tickTimer.addEventListener(TimerEvent.TIMER,tick)
			tickTimer.start()
			
			
			//	this.addEventListener(MouseEvent.MOUSE_MOVE,moveHandler)
			this.addEventListener(Event.ENTER_FRAME,enter)
			this.addEventListener(Event.ADDED_TO_STAGE,function(){
				stage.addEventListener(MouseEvent.MOUSE_UP,function(){
					clicked=true;
					//	trace("C");
				})
			});
			addChild(title)
			//started=true
			ind.visible=false
			this.graphics.beginFill(0x333333,.1)
			this.graphics.drawRect(0,0,800,600)
			this.buttonMode=true
			this.mouseEnabled=true
			this.mouseChildren=true
		}
		
		private var stages:Array=["replicators","bacteria","algae","fungi","trilobites","fish","plants","dinosaurs","insects","amphibians","reptiles","birds","mammals"]
		private function tick(e:TimerEvent):void{
			for(var i:uint=0;i<life.length;i++){
				
			//	if(life[i]==psel) {
					var tt:String=""//HIGHEST LIFEFORM: "
					//lifeInfo.text=stages.length.toString()//Math.random().toString()
						var maxst:uint=stages.length
							if(String(lifeData[i].planet.desc.toUpperCase()).indexOf("GASE")!=-1) maxst=3
					for(var u:uint=0;u<maxst;u++){
						if(lifeData[i].mass[u]>0) {
							var suffix:String="T"
							var mas:String=""//=Math.round(lifeData[i].mass[u])//.toString()+" T"
							lifeData[i].mass[u]=Math.min(lifeData[i].mass[u],100000000)
							var mass:int=Math.round(lifeData[i].mass[u])//.toString()+" T"
								if(mass>1000) {
									mass/=1000
									suffix="KT"
								}
								if(mass>1000) {
									mass/=1000
									suffix="MT"
								}
								mas=Math.round(mass).toString()
							if(lifeData[i].mass[u]>10000000) {
								mas="over 10MT"
									suffix=""
							}
							
							for(var gg:uint=0;gg<stages.length;gg++){
							//	if(gg!=u){
									if(lifeData[i].mass[gg]>1 && lifeData[i].mass[u]>=lifeData[i].mass[gg])
									if(lifeData[i].fitness[u]>Math.random()*100 && Math.random()<.005 )  {
										var ratio:Number=lifeData[i].mass[u]/lifeData[i].mass[gg]*.5
										lifeData[i].mass[gg]-=Math.random()*(lifeData[i].mass[gg]*ratio )
									}
									lifeData[i].mass[gg]=Math.max(0,lifeData[i].mass[gg])
								//}
							}
							tt+=stages[u]+": "+mas+" "+ suffix+"\n"
							//trace("---"+lifeData[i].rep)
							if(Math.random()<lifeData[i].rep/100)  {
								lifeData[i].mass[u]= Math.round(lifeData[i].mass[u]+Math.random()*lifeData[i].mass[u])
							} else {
								lifeData[i].fitness[u]+=u*5
							}
							
							if(Math.random()<lifeData[i].mut/100000*lifeData[i].mass[u] && Math.random()*100<lifeData[i].fitness[u] &&Math.random()<.5 && lifeData[i].mass[u]>10000)  {
								lifeData[i].mass[u+1]++
								
							}
						}
						
						
					}
					if(life[i]==psel)	lifeInfo.text=tt
				//}
			}
		}
		
		private var clicked:Boolean=false
		private var diag:Boolean=false
		
		private function select():void{
			
		}
		
		private var seedDia:SeedDialog
		private function doSeed(e:Event):void{
			if(!seedDia){
				var dia:SeedDialog = new SeedDialog()
				seedDia=dia
				seedDia.addEventListener("SEND",send)
			}
			addChild(seedDia)
			diag=true
			
		}
		
		private var life:Array=[]
		
		//private function enter(e:Event):void{
		//ind.alpha=.7*Math.abs(Math.sin(getTimer()/300))+.3
		
		//}
		
		private var lifeData:Array=[]
		
		public  function send(e:Event):void{
			removeChild(seedDia)
			diag=false
			this.graphics.lineStyle(2,0x00ff00,.7)
			this.graphics.drawCircle(ind.x,ind.y,8)	
			life.push(psel)
			var dat:Object={};
			
			dat.mass=[]
			dat.fitness=[]
			for(var l:uint=0;l<24;l++){
				dat.fitness[l]=0
				dat.mass[l]=0
			}
			dat.mass[0]=1
			dat.fitness[0]=1
			
			//dat.
				trace(plArr[psel].desc)
			dat.mut=SeedDialog.mut
			dat.rep=SeedDialog.rep
				dat.planet=plArr[psel]
			lifeData.push(dat)
			closeInfo(null)
			
			trace(SeedDialog.mut)
			trace(SeedDialog.rep)
		}
		private function closeInfo(e:MouseEvent):void{
			info.visible=false
			ind.visible=false
			pinfo.visible=false
			pind.visible=false
			linfo.visible=false
		}
		
		
		private var psel:uint=0;
		private function enter(e:Event){
			if(!started) return
			if(diag) return
				ind.alpha=.7*Math.abs(Math.sin(getTimer()/300))+.3
			pind.alpha=.7*Math.abs(Math.sin(getTimer()/600))+.3
			
			var hover:Boolean=false
			for(var i:uint=0;i<systems.length;i++){
				var sys:Object=systems[i]
				//trace(getQualifiedClassName(sys.y))
				//	this.buttonMode=false
				if(Math.abs(this.mouseX-sys.x)<6 && Math.abs(this.mouseY-sys.y)<6 &&!info.visible) {
					hover=true
					this.buttonMode=true
					ind.x=sys.x
					ind.y=sys.y
					addChild(ind)
					ind.visible=true
					//}
					//	trace(clicked)
					if(clicked && info.visible==false){
						info.visible=true
						addChild(info)
						
						systemName.text=sys.name
						//addChild(t)
						if(sys.x<400)
							info.x=sys.x+20
						else
							info.x=sys.x-320
						if(sys.y<300)	
							info.y=sys.y+20
						else
							info.y=sys.y-170
						
						pBtn=[]
						while(planets.numChildren) planets.removeChildAt(0)
						for(var k:uint=0;k<sys.planets.length;k++){
							var pl:Object=sys.planets[k]
							var p:PlanetView = new PlanetView(pl.seed,false,pl)
							p.scaleX*=.3
							p.scaleY*=.3
							p.x=(k+1)*300/(sys.planets.length+1)//-100*p.scaleX
							p.y=75//-100*p.scaleY
							planets.addChild(p)
							trace(life.length)
							trace(life)
							if(life.indexOf(pl.id)!=-1) {
								//	p.alpha=.2
								var dot:Sprite = new Sprite()
								dot.graphics.lineStyle(2,0x00cc00)
								dot.graphics.drawCircle(0,0,120)
								p.addChild(dot)	
								
								//dot.y=-220	
							}
							pBtn.push(p)
						}
						
						//planets.x=250-planets.width/2
					}
				}
				
				if(info.visible ){//&& pinfo.visible==false) {
					for(var k:uint=0;k<pBtn.length;k++){
						if(Sprite(pBtn[k]).hitTestPoint(mouseX,mouseY,true)){
							addChild(pinfo)
							pinfo.visible=true
							pind.visible=true
							
								
							
							var posx:uint=info.x+Sprite(pBtn[k]).x//-100
							var posy:uint=info.y+Sprite(pBtn[k]).y
							
							//trace(posy)
							if(posx<400)
								pinfo.x=	posx+20
							else
								pinfo.x=	posx-220
							
							if(posy<300)	
								pinfo.y=	posy+78
							else
								pinfo.y=	posy-78-pinfo.height
							
							pinfo.x=info.x
							pind.scaleX=pind.scaleY=pBtn[k].scaleX
							pind.x=pBtn[k].x
							pind.y=pBtn[k].y
							info.addChild(pind)
							//trace(pBtn[k].data.id)
							psel=pBtn[k].data.id
							planetInfo.text=pBtn[k].data.name
							var str:String=""
							pBtn[k].data.elem.sort()
							for(var ee:uint=0;ee<pBtn[k].data.elem.length;ee++){
								str+=Util.elem[pBtn[k].data.elem[ee]]+(ee!=pBtn[k].data.elem.length-1?", ":"")
								
							}
							//
							planetInfo.text+="\n\nGRAVITY:\t"+pBtn[k].data.grav+" G"
							//planetInfo.text+="\n\nGRAVITY:\t"+Math.round(Math.pow(pBtn[k].scaleX,5)/.0001*100)/100+" G"
							planetInfo.text+="\nTILT:\t\t"+Math.round(Math.abs(pBtn[k].rotation*100))/100
							planetInfo.text+="\nTEMP:\t\t"+Math.round((pBtn[k].data.temp))+" C"
							planetInfo.text+="\n\n"+pBtn[k].data.desc
							//	planetInfo.text+="\nMAIN ELEMENTS: "+str
							
							//var pll:PlanetView=	new PlanetView(pBtn[k].theseed)
							//pinfo.addChild(pll)	
							seedBtn.visible=life.indexOf(psel)==-1	
							addChild(linfo)
							if(life.indexOf(psel)!=-1){
							linfo.visible=true
							linfo.y=Math.min(info.y,pinfo.y)
							if (info.x+150>400) linfo.x=info.x-5-linfo.width else linfo.x=info.x+300+5
							}
							linfo.visible=life.indexOf(psel)!=-1	
						}
					}
				}
			}
			if(!hover) this.buttonMode=false
			clicked=false
		}
		
		
		private var pBtn:Array=[]
		private function makeName(num:uint){
			var pre:Array=["X","Z","Y","LD","LD","LD"]
			return pre[Math.floor(PlanetView.rand()*6)]+"-"+(num+99)	.toString()
		}
		//private function makeName(star:String){
		//	var pre:Array=["X","A","F","LD"]
		//	return pre[Math.floor(PlanetView.rand()*4)]+"-"+(num+99)	.toString()
		//}
	}
}