package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.GradientType;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.filters.BlurFilter;
	import flash.geom.ColorTransform;
	import flash.geom.Matrix;
	import flash.geom.Rectangle;
	
	public class PlanetView extends Sprite
	{
		
		private	var surface:Sprite=new Sprite()
		private var land:Sprite=new Sprite()
		private var water:Sprite=new Sprite()
		private var rotSpeed:Number = 0
			private var clone:Bitmap
		
		public static var seed:uint		
		public var theseed:uint
		public var data:Object
		
		private static function gen():uint
		{
			return seed=(seed * 16807) % 2147483647;
			
		}
		public static function rand():Number
		{
			return (gen() / 2147483647);
		}
			
		public function PlanetView(see:int,axis:Boolean,data:Object=null)
		{
			super();
			
			this.data=data
				if (this.data==null) this.data={}
			
			seed=see
				theseed=see
				if(!axis){
			this.graphics.lineStyle(.5,0xffffff,.5)
			this.graphics.moveTo(0,-130)
			this.graphics.lineTo(0,130)
				}
				
				//trace((rand(),rand(),rand())
			var msk:Sprite=new Sprite()
			
			var baseCol:uint=0xffffff*rand()
			
			var lowHue:Number=220//360*rand()
			var lowSat:Number=1//.3+rand()*.5
			var lowVal:Number=1	
			
			
			
			var hiHue:Number=360*rand()
			var hiSat:Number=.3+rand()*.5
			var hiVal:Number=1	
				
				
			
			lowHue=hiHue
			lowSat=hiSat*.7
			lowVal=hiVal*.7
			if(rand()<.5)
				lowHue=lowHue+(rand()-.5)*100
					
			//lowHue=hiHue=0
			//hiSat=lowSat=1
			//	hiVal=lowVal=1
			
			var landCol:uint=0xffffff*rand()
				
				surface.addChild(water)
			
				water.graphics.beginFill(hexCol(hsv(lowHue,lowSat,lowVal)),1)
			var matr:Matrix = new Matrix()
			matr.createGradientBox(210,210)
			
			matr.translate(-130,-130)
			//	surface.graphics.beginGradientFill(GradientType.RADIAL,[hexCol(hsv(lowHue,lowSat,lowVal)),hexCol(hsv(lowHue,lowSat,lowVal*.3))],[1,1],[75,255],matr)
			
			water.graphics.drawRect(0-00,0-100,800,200)
			
			
			
			for(var j:uint=0;j<12;j++){	
				
				land.graphics.beginFill(hexCol(hsv(hiHue,hiSat,hiVal)),1)
				//surface.graphics.beginGradientFill(GradientType.RADIAL,[hexCol(hsv(hiHue,hiSat,hiVal)),hexCol(hsv(hiHue,hiSat,hiVal*.3))],[1,1],[75,255],matr)
				
				//if(rand()<.3) 
			//		land.graphics.beginFill(hexCol(hsv(lowHue,lowSat,lowVal)),1)
				var centerX:Number=60+rand()*300//	-100
				var centerY:Number=-100+rand()*400//-300
				var size:Number=20+rand()*40
				for(var i:uint=0;i<20;i++){
					var vari:Number=1+(rand()-.5)*.5*(size/50)
					var x:Number=centerX+Math.cos(i/20*6.3)*size*vari
					var y:Number=centerY+Math.sin(i/20*6.3)*size*vari
					
					if(i==0) land.graphics.moveTo(x,y) else land.graphics.lineTo(x,y)	
				}
				land.graphics.endFill()
			}
			surface.addChild(land)
			clone = new Bitmap(new BitmapData(400,300,true,0))
				clone.y-=100
				var ma:Matrix=new Matrix()
					ma.translate(100,100)
			clone.bitmapData.draw(land,ma)//,null,null,new Rectangle(-100,-100,400,200))
			clone.x=300//-100
				//clone.y=100
			land.addChild(clone)
			
			
			this.addChild(surface)
			this.addChild(msk)
			surface.mask=msk
			//surface.filters=[new BlurFilter(10,10,3)]
			msk.graphics.beginFill(0xffffff,1)
			msk.graphics.drawCircle(0,0,100)	
			
			
			var shadow:Sprite = new Sprite()
			shadow.graphics.beginGradientFill(GradientType.RADIAL,[0,0],[0,.9],[10,255],matr)
			shadow.graphics.drawCircle(0,0,101)
			addChild(shadow)	
			
			var atm:Sprite = new Sprite()
			atm.graphics.beginGradientFill(GradientType.RADIAL,[0x8888ff,0x8888ff],[.3,.1],[10,255],matr)
			atm.graphics.drawCircle(0,0,102)
			addChild(atm)	
			
			this.addEventListener(Event.ENTER_FRAME,enterHandler)
			surface.x=-rand()*400
			while(Math.abs(rotSpeed)<.1) {
				rotSpeed=(rand()-.5)*3
			}
			
			
			this.scaleX=this.scaleY=10//.4+rand()*.6
				if(this.data.scale) this.scaleX=this.scaleY=this.data.scale
				//trace(("::::"+this.data.scale)
		//	this.data.grav=Math.round(Math.pow(scaleX,5)/.0001*100)/100
			this.rotation=Math.round((rand()-.5)*90)
			if(axis) rotSpeed=.05
			if(axis) rotation=90
			//water.rotation=Math.round((rand()-.5)*90)
		//	water.rotation=Math.round((rand()-.5)*90)
				shadow.rotation=-this.rotation
			
		}
		
		private var waterAmount:Number=0
		
		private function enterHandler(e:Event):void{
			surface.x+=rotSpeed
			if (surface.x<-600) surface.x=-200
			if (surface.x>-200) surface.x=-600
				
		//	waterAmount+=.01
					
		//	water.transform.colorTransform=new ColorTransform(1,1,1,1,Math.max(-250*waterAmount,-50*waterAmount),Math.max(-50,-50*waterAmount),255*waterAmount,0)	
		//	land.transform.colorTransform=new ColorTransform(1,1,1,1,Math.max(-250*waterAmount,-50*waterAmount),255*waterAmount,Math.max(-50,-50*waterAmount),0)	
		}
		
		public static function hexCol(c:Array):uint{
			return  c[0] <<16 | c[1] <<8 | c[2]
		}
		
		public static function hsv(h:Number, s:Number, v:Number):Array{
			var r:Number, g:Number, b:Number;
			var i:int;
			var f:Number, p:Number, q:Number, t:Number;
			
			if (s == 0){
				r = g = b = v;
				return [Math.round(r * 255), Math.round(g * 255), Math.round(b * 255)];
			}
			
			h /= 60;
			i  = Math.floor(h);
			f = h - i;
			p = v *  (1 - s);
			q = v * (1 - s * f);
			t = v * (1 - s * (1 - f));
			
			switch( i ) {
				case 0:
					r = v;
					g = t;
					b = p;
					break;
				case 1:
					r = q;
					g = v;
					b = p;
					break;
				case 2:
					r = p;
					g = v;
					b = t;
					break;
				case 3:
					r = p;
					g = q;
					b = v;
					break;
				case 4:
					r = t;
					g = p;
					b = v;
					break;
				default:        // case 5:
					r = v;
					g = p;
					b = q;
					break;
			}
			return [Math.round(r * 255), Math.round(g * 255), Math.round(b * 255)];
		}
		
	}
}